TriggerChangeDetectionParameters Class

The parameters used when calling trigger change detection action on cloud endpoint.

Inheritance
TriggerChangeDetectionParameters

Constructor

TriggerChangeDetectionParameters(*, directory_path: Optional[str] = None, change_detection_mode: Optional[Union[str, azure.mgmt.storagesync.models._microsoft_storage_sync_enums.ChangeDetectionMode]] = None, paths: Optional[List[str]] = None, **kwargs)

Parameters

directory_path
str
Required

Relative path to a directory Azure File share for which change detection is to be performed.

change_detection_mode
str or ChangeDetectionMode
Required

Change Detection Mode. Applies to a directory specified in directoryPath parameter. Possible values include: "Default", "Recursive".

paths
list[str]
Required

Array of relative paths on the Azure File share to be included in the change detection. Can be files and directories.